package service

const (
	extTopic    = ".topic"
	extGroup    = ".group"
	extRpcTopic = ".rpc.topic"
)

// 每个服务都有自己的服务topic
func Topic(s IService) string {
	return s.Name() + extTopic
}

func TopicEx(serviceName string) string {
	return serviceName + extTopic
}

// 每个服务都有自己的rpc服务topic
func RpcTopic(s IService) string {
	return s.Name() + extRpcTopic
}

func RpcTopicEx(serviceName string) string {
	return serviceName + extRpcTopic
}

func GroupTopic(s IService) string {
	return s.Type() + extTopic
}

func GroupQueue(s IService) string {
	return s.Type() + extGroup
}
